Subject: RE: [MEXT] Prefix delegation & Diameter Interaction

From: "Sri Gundavelli" <[email-masked]>
Date: Fri, 30 Nov 2007 21:44:32 -0800

Hi Vijay,

> -----Original Message-----
> From: Vijay Devarapalli [mailto:[email-masked]] 
> Sent: Tuesday, November 27, 2007 3:27 PM
> To: Hannes Tschofenig; Alper Yegin; George Tsirtsis; Sri Gundavelli
> Cc: [email-masked]
> Subject: Re: [MEXT] Prefix delegation & Diameter Interaction
> 
> Hi Hannes,
> 
> Here are some pointers to previous discussions. Took me some time
> to find this. IETF archives are not designed for searching.
> 
> - http://www1.ietf.org/mail-archive/web/mip6/current/msg06023.html
> 
> This thread was about DHCP should be used to assign home address
> from the NAS (access router). RADIUS/Diameter is used to deliver
> the home address from the AAA to the NAS.
> 
> - http://www1.ietf.org/mail-archive/web/mip6/current/msg06554.html
> 
> This thread talks about AAA or the HA assigning a home address.
> 
> - http://www1.ietf.org/mail-archive/web/netlmm/current/msg02515.html
> 
> This thread was on the NETLMM mailing list. It was about AAA managing
> prefixes for PMIPv6 instead of the LMA and the AAA delivering the
> prefixes to the MAG.
> 
> There was quite bit of discussion on this during the Prague meeting.
> Mostly hallway discussions. Don't have pointers to that. This was
> just after the WG last call for draft-ietf-mip6-hiopt.
> 
> There might have been more, but can't spend any more time on this.
> Sorry. Anyway, AFAIK, we have always concluded that the home agent
> or some other entity on the home link (DHCP server) manages the
> home addresses and the home prefixes.
> 
> George, Sri, you guys had also sent emails asking for pointers.
> Patience please. It takes quite a bit of time to search through
> the archives.
> 

Thanks for the pointers. The context of discussion in each of threads
is bit different. Lets take the recent NETLMM discussion, the question
was not about allowing AAA to do the address assignment, but on allowing
other mobility entities to perform address allocation. 

But, again I'm not too keen on making AAA make that the HNP assignment.
For the record I want to say that there was no consensus that HA should
not offload the HoA/HNP management function. Personally, I'd prefer
allowing home agent to offload this address management function to DHCP
server. Functionally that is the right element for managing this aspect.
We are looking at HA's to scale upto supporting millions of mobile nodes
and for it to achieve these scalability goals, the service should be able
to leverage other generic services and protocols such DHCP PD ..etc,
designed for that one specific purpose.

When the home link is a physical link and when in presence of stateless
autoconf, HA is not truly assigning any address to the mobile node and
some arguments in that context such as minimal MIP6 involvement in
address assignment and so no external entity should be involved in
address mgmt, when applied to Prefix assignment and in relation to
virtual links, is totally different. The MIP6 entities are involved in the
address mgmt function and now if it certainly use local pools, ODAP,
DHCP ..etc.

W.r.t AAA doing the prefix mgmt, I do not think, we can restrict this
either, but I'm not to keen on this. There are already Attributes
defined for this. http://www.ietf.org/rfc/rfc4818.txt. I'm not sure,
what the draft is additionally proposing. 

Regards
Sri

> Vijay
> 
> Hannes Tschofenig wrote:
> > Hi Vijay,
> > 
> > maybe you can provide some pointers to past discussions and 
> conclusions. 
> > You cannot expect that everyone follows all mailing lists 
> and now this 
> > work is being proposed for DIME.
> > 
> > Ciao
> > Hannes
> > 
> > PS: I once had comments for a QoS document and I got the following 
> > response "I don't have time to give you a tutorial on this 
> QoS issue. We 
> > discussed this at length in face-to-face meeting at the 
> IETF XYZ meeting."
> > 
> > The document got delayed for more than a year when the same 
> questions 
> > showed  up later again....
> > 
> > Vijay Devarapalli wrote:
> >> Alper Yegin wrote:
> >>> Vijay,
> >>>
> >>> Can you explain why you do not recommend AAA-assignment 
> of prefixes?
> >>
> >> We have been through this many times on the MIP6 mailing list.
> >> The earlier discussions were based on AAA assigning the home
> >> address. We have always concluded otherwise. I don't see much
> >> different between AAA managing home prefixes and home addresses.
> >> I am not planning to rehash those discussions.
> >>
> >> Vijay
> >>
> >>
> >>>
> >>> Alper
> >>>
> >>>> -----Original Message-----
> >>>> From: Vijay Devarapalli [mailto:[email-masked]]
> >>>> Sent: Sunday, November 25, 2007 7:17 PM
> >>>> To: Hannes Tschofenig
> >>>> Cc: [email-masked]
> >>>> Subject: Re: [MEXT] Prefix delegation & Diameter Interaction
> >>>>
> >>>> Well, this document seems to assume (or make a case) that the AAA
> >>>> manages the prefixes. We *do not* recommend that model. It is
> >>>> typically either the home agent or a DHCP server co-located with
> >>>> the home agent that manages the prefixes.
> >>>>
> >>>> Vijay
> >>>>
> >>>> Hannes Tschofenig wrote:
> >>>>> Hi all,
> >>>>>
> >>>>> in the DIME working group we have a document that provides the 
> >>>>> Diameter
> >>>>> interworking for prefix delegation.
> >>>>> Here is the document:
> >>>>> 
> http://tools.ietf.org/wg/dime/draft-sarikaya-dime-prefix-deleg
> ation-ps- 
> >>>>>
> >>>> 00.txt
> >>>>>
> >>>>> It would help us in DIME if members of this group could 
> give us some
> >>>>> feedback.
> >>>>>
> >>>>> Ciao
> >>>>> Hannes
> >>>>>
> >>>>>
> >>>>> _______________________________________________
> >>>>> MEXT mailing list
> >>>>> [email-masked]
> >>>>> https://www1.ietf.org/mailman/listinfo/mext
> >>>>
> >>>> _______________________________________________
> >>>> MEXT mailing list
> >>>> [email-masked]
> >>>> https://www1.ietf.org/mailman/listinfo/mext
> >>>
> > 

_______________________________________________
MEXT mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mext